summary refs log tree commit diff
path: root/pkgs/build-support/fetchgit/nix-prefetch-git
diff options
context:
space:
mode:
authorBenjamin Hipple <bhipple@protonmail.com>2020-03-26 00:15:24 -0400
committerGitHub <noreply@github.com>2020-03-26 00:15:24 -0400
commit368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47 (patch)
treef0611c0a3bbbbe15d03dade6d805fba218b808b5 /pkgs/build-support/fetchgit/nix-prefetch-git
parent3150fc9ba6a7fbecda188ac504a247a899f75b8f (diff)
parentcaff18340206c4e5c466c16a534f13505d1098ee (diff)
downloadnixpkgs-368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47.tar
nixpkgs-368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47.tar.gz
nixpkgs-368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47.tar.bz2
nixpkgs-368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47.tar.lz
nixpkgs-368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47.tar.xz
nixpkgs-368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47.tar.zst
nixpkgs-368ea2eb5ec9aa3eaec78b5e1b39610cbede3a47.zip
Merge pull request #79581 from bhipple/feature/fetcher-whitespace-clean
fetchzip, fetchgit: cleanup handling of optional features and whitespace
Diffstat (limited to 'pkgs/build-support/fetchgit/nix-prefetch-git')
-rwxr-xr-xpkgs/build-support/fetchgit/nix-prefetch-git25
1 files changed, 12 insertions, 13 deletions
diff --git a/pkgs/build-support/fetchgit/nix-prefetch-git b/pkgs/build-support/fetchgit/nix-prefetch-git
index abba76bd1ac..4761c978035 100755
--- a/pkgs/build-support/fetchgit/nix-prefetch-git
+++ b/pkgs/build-support/fetchgit/nix-prefetch-git
@@ -1,6 +1,5 @@
-#! /usr/bin/env bash
-
-set -e -o pipefail
+#!/usr/bin/env bash
+set -eo pipefail
 
 url=
 rev=
@@ -38,17 +37,17 @@ usage(){
     echo  >&2 "syntax: nix-prefetch-git [options] [URL [REVISION [EXPECTED-HASH]]]
 
 Options:
-      --out path      Path where the output would be stored.
-      --url url       Any url understood by 'git clone'.
-      --rev ref       Any sha1 or references (such as refs/heads/master)
-      --hash h        Expected hash.
-      --branch-name   Branch name to check out into
-      --deepClone     Clone the entire repository.
-      --no-deepClone  Make a shallow clone of just the required ref.
-      --leave-dotGit  Keep the .git directories.
+      --out path         Path where the output would be stored.
+      --url url          Any url understood by 'git clone'.
+      --rev ref          Any sha1 or references (such as refs/heads/master).
+      --hash h           Expected hash.
+      --branch-name      Branch name to check out into.
+      --deepClone        Clone the entire repository.
+      --no-deepClone     Make a shallow clone of just the required ref.
+      --leave-dotGit     Keep the .git directories.
       --fetch-submodules Fetch submodules.
-      --builder       Clone as fetchgit does, but url, rev, and out option are mandatory.
-      --quiet         Only print the final json summary.
+      --builder          Clone as fetchgit does, but url, rev, and out option are mandatory.
+      --quiet            Only print the final json summary.
 "
     exit 1
 }